Public Member Functions | Public Attributes | Friends | List of all members
RagTimeSpreadsheetInternal::CellBorder Struct Reference

Internal: cell border of a RagTimeSpreadsheet (SpVa block) More...

## Public Member Functions
| CellBorder ()
| constructor More...
bool | hasBorders () const
| returns true if the cell has some border More...
void | update (Cell &cell) const
| update the cell border if need More...

## Public Attributes
MWAWBorder | m_borders [2]
| the top and left border More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellBorder const &border)
| operator<< More...

## Detailed Description

Internal: cell border of a RagTimeSpreadsheet (SpVa block)

## Constructor & Destructor Documentation

## ◆ CellBorder()

RagTimeSpreadsheetInternal::CellBorder::CellBorder | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasBorders()

bool RagTimeSpreadsheetInternal::CellBorder::hasBorders | ( |  | ) | const
| inline

returns true if the cell has some border

## ◆ update()

void RagTimeSpreadsheetInternal::CellBorder::update | ( | Cell & | cell | ) | const

update the cell border if need

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | CellBorder const & | border
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_borders

MWAWBorder RagTimeSpreadsheetInternal::CellBorder::m_borders[2]

the top and left border

Referenced by RagTimeSpreadsheet::readResource().

## ◆ m_extra

std::string RagTimeSpreadsheetInternal::CellBorder::m_extra

extra data

Referenced by RagTimeSpreadsheet::readResource().

The documentation for this struct was generated from the following file:

- RagTimeSpreadsheet.cxx